package net.asukaze.cassava.ui;

import javax.swing.JDialog;
import javax.swing.JOptionPane;

public class Log {
	private static final String LINE_SEPARATOR = "\n"; //$NON-NLS-1$

	public static void showMessage(String message) {
		JOptionPane pane = new JOptionPane();
		pane.setMessage(message);
		pane.setMessageType(JOptionPane.ERROR_MESSAGE);
		JDialog dialog = pane.createDialog(null, Messages
				.getString(Messages.CASSAVA_TITLE));
		dialog.setVisible(true);
	}

	public static void error(Exception ex) {
		ex.printStackTrace();
		showMessage(ex.getClass().getCanonicalName() + ":" + LINE_SEPARATOR //$NON-NLS-1$
				+ ex.getLocalizedMessage());
	}

	public static void warn(Exception ex) {
		ex.printStackTrace();
	}
}
