package net.asukaze.cassava.ui.action;

import javax.swing.ListSelectionModel;

import net.asukaze.cassava.core.command.Command;
import net.asukaze.cassava.core.command.DeleteRowCommand;

public class DeleteRowAction extends Action {
	public DeleteRowAction() {
		setHideEditor(true);
	}

	@Override
	public Command run() throws Exception {
		ListSelectionModel selection = getCassavaGrid().getSelectionModel();
		int top = selection.getMinSelectionIndex();
		int bottom = selection.getMaxSelectionIndex();
		if (top >= 0 && bottom >= 0) {
			return new DeleteRowCommand(getTableModel(),
					getViewModel(), top, bottom);
		} else {
			return null;
		}
	}
}
