package net.asukaze.cassava.ui.action;

import java.util.List;

import javax.swing.JMenu;
import javax.swing.JMenuItem;

import net.asukaze.cassava.core.command.Command;
import net.asukaze.cassava.core.model.DataFormat;
import net.asukaze.cassava.core.util.DataFormatSetting;
import net.asukaze.cassava.ui.IApplication;

public class PasteFormattedAction extends Action {
	public static class ChildAction extends PasteAction {
		public ChildAction(IApplication application, DataFormat format) {
			setApplication(application);
			setFormat(format);
			setHideEditor(true);
		}
	}

	@Override
	public JMenuItem createMenuItem() {
		JMenu menu = new JMenu();
		List<DataFormat> formats = DataFormatSetting.INSTANCE.getAll();
		for (DataFormat format : formats) {
			JMenuItem child = new JMenuItem();
			child.setText(format.getName());
			child.addActionListener(new ChildAction(getApplication(), format));
			menu.add(child);
		}
		return menu;
	}

	@Override
	public Command run() throws Exception {
		return null;
	}
}
