package net.asukaze.cassava.core.model;

import java.util.List;

public interface ICassavaViewModel {
	public int getColWidth(int colIndex);

	public List<Integer> getColWidths();

	public int getCurrentCol();

	public int getCurrentRow();

	public int getDefaultColWidth();

	public int getDefaultRowHeight();

	public int getFixColCount();

	public int getFixRowCount();

	public int getRowHeight(int rowIndex);

	public List<Integer> getRowHeights();

	public Selection getSelection();

	public void setColWidth(int colIndex, int colWidth);

	public void setColWidths(List<Integer> colWidths);

	public void setCurrentCol(int currentCol);

	public void setCurrentRow(int currentRow);

	public void setCurrentRowCol(int currentRow, int currentCol);

	public void setDefaultColWidth(int defaultColWidth);

	public void setDefaultRowHeight(int defaultRowHeight);

	public void setFixColCount(int fixColCount);

	public void setFixRowCount(int fixRowCount);

	public void setRowHeight(int rowIndex, int rowHeight);

	public void setRowHeights(List<Integer> rowHeights);

	public void setSelection(Selection selection);
}