package net.asukaze.cassava.io.command;

import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.Writer;

import net.asukaze.cassava.core.command.CommandException;
import net.asukaze.cassava.core.model.ICassavaTableModel;

public class SaveFileThread implements Runnable {
	private ICassavaTableModel model;
	private Writer writer;
	private String filename;

	public SaveFileThread(ICassavaTableModel model, OutputStream stream,
			String filename) {
		this.model = model;
		this.writer = new OutputStreamWriter(stream);
		this.filename = filename;
	}

	public void run() {
		try {
			new SaveFileCommand(model, writer, filename).run();
		} catch (CommandException ex) {
			ex.printStackTrace();
		}
	}
}
