package net.asukaze.cassava.io.util;

import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;

public class FileInfo {
	private InputStream inputStream;
	private Reader reader;
	private String filename;

	public FileInfo(InputStream inputStream, String filename) {
		this.inputStream = inputStream;
		this.reader = null;
		this.filename = filename;
	}

	public InputStream getInputStream() {
		return inputStream;
	}

	public Reader getReader() {
		if (reader == null && inputStream != null) {
			reader = new InputStreamReader(inputStream);
		}
		return reader;
	}

	public String getFilename() {
		return filename;
	}
}
