package net.asukaze.cassava.ui.action;

import javax.swing.JOptionPane;

import net.asukaze.cassava.core.command.Command;
import net.asukaze.cassava.ui.Messages;

public class ActionNotFoundAction extends Action {
	private String actionName;

	public ActionNotFoundAction(String actionName) {
		this.actionName = actionName;
	}

	@Override
	public Command run() throws Exception {
		JOptionPane.showMessageDialog(getFrame(), Messages.getString(
				Messages.ACTION_NOT_FOUND, actionName), Messages
				.getString(Messages.ERROR_TITLE), JOptionPane.ERROR_MESSAGE);
		return null;
	}
}
