package net.asukaze.cassava.ui.action;

import net.asukaze.cassava.core.command.Command;
import net.asukaze.cassava.core.model.ICassavaTableModel;
import net.asukaze.cassava.core.model.Selection;
import net.asukaze.cassava.core.util.ModelUtil;
import net.asukaze.cassava.io.command.PasteCommand;
import net.asukaze.cassava.io.command.PasteCommand.Behavior;

public class CopyFirstRowAction extends Action {
	@Override
	public Command run() throws Exception {
		ICassavaTableModel model = getTableModel();
		Selection selection = getViewModel().getSelection();
		ICassavaTableModel data = ModelUtil.copy(model, new Selection(
				selection.left, selection.top, selection.right, selection.top));
		return new PasteCommand(model, selection, data, Behavior.REPEAT);
	}
}
