package net.asukaze.cassava.ui.action;

import net.asukaze.cassava.core.command.Command;
import net.asukaze.cassava.core.model.ICassavaTableModel;
import net.asukaze.cassava.core.model.ICassavaViewModel;
import net.asukaze.cassava.core.model.Selection;

public class SelectRowAction extends Action {
	@Override
	public Command run() throws Exception {
		ICassavaViewModel viewModel = getViewModel();
		ICassavaTableModel tableModel = getTableModel();
		Selection old = viewModel.getSelection();
		viewModel.setSelection(new Selection(0, old.top, tableModel
				.getColumnCount() - 1, old.bottom));
		return null;
	}
}
