package net.asukaze.cassava.ui.option;

import java.awt.Frame;

import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.JSplitPane;
import javax.swing.JTree;

import net.asukaze.cassava.ui.Messages;

@SuppressWarnings("serial")
public class OptionDialog extends JDialog {
	private JSplitPane jContentPane = null;
	private JTree optionTree = null;
	private JPanel dataFormatPane = null;

	public OptionDialog(Frame parent) {
		super(parent, Messages.getString(Messages.OPTION_DIALOG_TITLE));
		initialize();
	}

	private void initialize() {
		this.setSize(400, 300);
		this.setContentPane(getJContentPane());
	}

	private JSplitPane getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,
					getOptionTree(), getDataFormatPane());
		}
		return jContentPane;
	}

	private JTree getOptionTree() {
		if (optionTree == null) {
			optionTree = new JTree();
		}
		return optionTree;
	}

	private JPanel getDataFormatPane() {
		if (dataFormatPane == null) {
			dataFormatPane = new JPanel();
		}
		return dataFormatPane;
	}
}
