package net.asukaze.cassava.ui.table;

import javax.swing.table.DefaultTableColumnModel;
import javax.swing.table.TableColumn;

@SuppressWarnings("serial")
public class CassavaTableColumnModel extends DefaultTableColumnModel {
	public CassavaTableColumnModel() {
		super.setColumnSelectionAllowed(true);
	}

	private void createColumns(int columnIndex) {
		int count = super.getColumnCount();
		while (columnIndex >= count) {
			// TODO: FixedColumn Ƃ̑Ήt
			super.addColumn(new TableColumn(count));
			count++;
		}
	}

	@Override
	public TableColumn getColumn(int columnIndex) {
		createColumns(columnIndex);
		return super.getColumn(columnIndex);
	}
}
