package net.asukaze.cassava.macro;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class Messages {
	public static final String DIALOG_TITLE = "DIALOG_TITLE"; //$NON-NLS-1$
	public static final String BREAK_POINT = "BREAK_POINT"; //$NON-NLS-1$
	public static final String NON_LVALUE = "NON_LVALUE"; //$NON-NLS-1$
	public static final String SWAP_NOT_LEFT_VALUE = "SWAP_NOT_LEFT_VALUE"; //$NON-NLS-1$
	public static final String FUNCTION_NOT_FOUND = "FUNCTION_NOT_FOUND"; //$NON-NLS-1$
	public static final String SPECIAL_VAR_NOT_FOUND = "SPECIAL_VAR_NOT_FOUND"; //$NON-NLS-1$
	public static final String MACRO_EXEC_DIALOG_TITLE = "MACRO_EXEC_DIALOG_TITLE"; //$NON-NLS-1$

	private static final String BUNDLE_NAME = "net.asukaze.cassava.macro.messages"; //$NON-NLS-1$
	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);

	private Messages() {
	}

	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
