package net.asukaze.cassava.macro.action;

import java.io.IOException;
import java.io.InputStream;

import net.asukaze.cassava.core.command.Command;
import net.asukaze.cassava.macro.DefaultScriptHandler;
import net.asukaze.cassava.macro.Macro;
import net.asukaze.cassava.macro.ScriptHandler;
import net.asukaze.cassava.macro.parser.ParseException;
import net.asukaze.cassava.ui.action.Action;

public class StartUpAction extends Action {
	public static final String STARTUP_MACRO_NAME = "!startup"; //$NON-NLS-1$

	@Override
	public Command run() throws ParseException, IOException {
		ScriptHandler handler = new DefaultScriptHandler();
		InputStream inputStream = handler.open(STARTUP_MACRO_NAME);
		if (inputStream != null) {
			Macro macro = MacroExecuteAction.setupMacro(getApplication());
			macro.run(inputStream);
		}
		return null;
	}
}
