package net.asukaze.cassava.macro.value;

import net.asukaze.cassava.macro.Environment;

public class MidReference implements Reference {
	private Reference ref;
	private int x;
	private int y;

	public MidReference(Reference ref, int x, int y) {
		this.ref = ref;
		this.x = x;
		this.y = y;
	}

  public Object get(Environment environment) {
    return getString(environment);
  }

  public String getString(Environment environment) {
    String str = environment.toString(ref);
    return str.substring(x - 1, x - 1 + y);
  }

	public void set(Object value, Environment environment) {
		String str1 = environment.toString(ref);
		String str2 = environment.toString(value);
		String result = str1.substring(0, x - 1) + str2
				+ str1.substring(x - 1 + y);
		ref.set(result, environment);
	}

}
