package net.asukaze.cassava.macro.value;

import net.asukaze.cassava.macro.Environment;

public class VarReference implements Reference {
	private String name;

	public VarReference(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public Object get(Environment environment) {
		return environment.getVar(name);
	}

  public String getString(Environment environment) {
    return environment.toString(get(environment));
  }

	public void set(Object value, Environment environment) {
		environment.putVar(name, value);
	}
}
